PEMWriter (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.openssl

## Class PEMWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.BufferedWriter
    - - org.bouncycastle.util.io.pem.PemWriter
      - - org.bouncycastle.openssl.PEMWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

  Deprecated.
  use JcaPEMWriter

      public class PEMWriter
      extends org.bouncycastle.util.io.pem.PemWriter

  General purpose writer for OpenSSL PEM objects.

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PEMWriter(java.io.Writer out)` Deprecated. Base constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeObject(java.lang.Object obj)` Deprecated.
    `void` | `writeObject(java.lang.Object obj, PEMEncryptor encryptor)` Deprecated.
    `void` | `writeObject(org.bouncycastle.util.io.pem.PemObjectGenerator obj)` Deprecated.

    - ### Methods inherited from class org.bouncycastle.util.io.pem.PemWriter

      `getOutputSize`

    - ### Methods inherited from class java.io.BufferedWriter

      `close, flush, newLine, write, write, write`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PEMWriter

          public PEMWriter(java.io.Writer out)

      Deprecated.
      Base constructor.
      Parameters:
        `out` - output stream to use.

  - ### Method Detail

    - #### writeObject

          public void writeObject(java.lang.Object obj)
                           throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeObject

          public void writeObject(java.lang.Object obj,
                         PEMEncryptor encryptor)
                           throws java.io.IOException

      Deprecated.
      Parameters:
        `obj` -
        `encryptor` -
      Throws:
        `java.io.IOException`

    - #### writeObject

          public void writeObject(org.bouncycastle.util.io.pem.PemObjectGenerator obj)
                           throws java.io.IOException

      Deprecated.
      Overrides:
        `writeObject` in class `org.bouncycastle.util.io.pem.PemWriter`
      Throws:
        `java.io.IOException`